org.apache.ignite.internal.processors.query.schema

## Class SchemaOperationWorker

- java.lang.Object
- - org.apache.ignite.internal.util.worker.GridWorker
  - - org.apache.ignite.internal.processors.query.schema.SchemaOperationWorker

All Implemented Interfaces:
  Runnable

    public class SchemaOperationWorker
    extends GridWorker

Schema operation executor.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.worker.GridWorker

`isCancelled, log`

### Constructor Summary

Constructors
Constructor and Description
`SchemaOperationWorker(GridKernalContext ctx, GridQueryProcessor qryProc, IgniteUuid depId, SchemaAbstractOperation op, boolean nop, @Nullable SchemaOperationException err, boolean cacheRegistered, @Nullable QueryTypeDescriptorImpl type)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `body()` The implementation should provide the execution body for this runnable.
`boolean` `cacheRegistered()`
`void` `cancel()` Cancel operation.
`IgniteInternalFuture` `future()`
`boolean` `nop()`
`SchemaAbstractOperation` `operation()`
`SchemaOperationWorker` `start()` Perform initialization routine.

### Methods inherited from class org.apache.ignite.internal.util.worker.GridWorker

`blockingSectionBegin, blockingSectionEnd, cleanup, heartbeatTs, igniteInstanceName, isCancelled, isDone, join, name, onIdle, run, runner, toString, updateHeartbeat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaOperationWorker

    public SchemaOperationWorker(GridKernalContext ctx,
                                 GridQueryProcessor qryProc,
                                 IgniteUuid depId,
                                 SchemaAbstractOperation op,
                                 boolean nop,
                                 @Nullable
                                 @Nullable SchemaOperationException err,
                                 boolean cacheRegistered,
                                 @Nullable
                                 @Nullable QueryTypeDescriptorImpl type)

Constructor.

Parameters:
  `ctx` - Context.
  `qryProc` - Query processor.
  `depId` - Deployment ID.
  `op` - Target operation.
  `nop` - No-op flag.
  `err` - Predefined error.
  `cacheRegistered` - Whether cache is registered in indexing at this point.
  `type` - Type descriptor (if available).

### Method Detail

#### body

    protected void body()
                 throws InterruptedException,
                        IgniteInterruptedCheckedException

The implementation should provide the execution body for this runnable.

Specified by:
  `body` in class `GridWorker`
Throws:
  `InterruptedException` - Thrown in case of interruption.
  `IgniteInterruptedCheckedException` - If interrupted.

#### start

    public SchemaOperationWorker start()

Perform initialization routine.

Returns:
  This instance.

#### nop

    public boolean nop()

Returns:
  No-op flag.

#### cacheRegistered

    public boolean cacheRegistered()

Returns:
  Whether cache is registered.

#### cancel

    public void cancel()

Cancel operation.

Overrides:
  `cancel` in class `GridWorker`

#### operation

    public SchemaAbstractOperation operation()

Returns:
  Operation.

#### future

    public IgniteInternalFuture future()

Returns:
  Future completed when operation is ready.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020